<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package WPCanvas2
 */

global $wpc2;

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php if ( $wpc2['favicon'] ) : ?>
	<link href="<?php echo $wpc2['favicon']; ?>" rel="icon" type="image/x-icon" />
<?php endif; ?>


<?php wp_head(); ?>
</head>

<body id="wrap" <?php body_class(); ?>>

	<?php do_action( 'wpc_insert_code_top_of_page' ); ?>

	<div class="top-background">

		<div class="bottom-background">

			<div id="page" class="hfeed site">

				<div class="header-container">

					<div class="site-boundary">

						<header id="masthead" class="site-header" role="banner">

							<?php do_action( 'wpc_insert_code_above_header' ); ?>

							<div class="site-branding">
								<?php if ( $wpc2['logo_image'] ) : ?>
									<h1 class="site-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php echo $wpc2['logo_image']; ?>" /></a></h1>
								<?php endif; ?>
								<?php if ( $wpc2['show_title'] ) : ?>
									<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
								<?php endif; ?>
								<?php if ( $wpc2['show_description'] ) : ?>
									<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
								<?php endif; ?>

								<?php if ( $wpc2['header_show_social_icons'] ) : ?>
									<?php wpcanvas2_social_icons(); ?>
								<?php endif; ?>
							</div>

							<?php do_action( 'wpc_insert_code_below_header' ); ?>

						</header><!-- #masthead -->

					</div><!-- .site-boundary -->

				</div>

				<nav id="site-navigation" class="main-navigation" role="navigation">
					<div class="nav-container clear">
						<div class="nav-bottom-border clear">
							<div class="site-boundary">

								<h1 class="menu-toggle"><?php _e( 'Menu', 'wpcanvas2' ); ?></h1>
								<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'wpcanvas2' ); ?></a>

								<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
							</div>
						</div>
					</div>
				</nav><!-- #site-navigation -->

				<div class="content-container">

					<div class="site-boundary">

						<div id="content" class="site-content">

							<?php do_action( 'wpc_insert_code_above_content' ); ?>

							<div class="encapsulate">
